.popup-cookies-consent {
    position: fixed;
    left: calc(100% / 2 - 190px);
    bottom: -300px;
    width: 380px;
    height: auto;
    box-sizing: border-box;
    padding: 18px 24px 18px;
    border-radius: 18px;
    background-color: #ffd100;
    font-family: "intro-book", sans-serif;
    box-shadow: 3px 3px 6px #777;
    text-align: center;
    transition: all 200ms ease-in;
    z-index: 99999999;
}

.popup-cookies-consent.visible {
    bottom: 100px;
}

.popup-cookies-consent__text {
    margin: 0;
    font-size: 16px;
    line-height: 22px;
    font-weight: 500;
    text-align: left;
    user-select: none;
}

.popup-cookies-consent__link {
    color: #000;
}

.popup-cookies-consent__button {
    width: 76px;
    height: 40px;
    margin-top: 10px;
    padding: 0;
    border: none;
    border-radius: 10px;
    background-color: #000;
    color: #fff;
    text-align: center;
    font-size: 16px;
    line-height: 40px;
    font-weight: 600;
    user-select: none;
    cursor: pointer;
    transition: all 200ms ease;
    outline: none;
}

.popup-cookies-consent__button:hover,
.popup-cookies-consent__button:focus-visible,
.popup-cookies-consent__button:active {
    filter: brightness(103%);
}

@media (max-width: 385px) {
    .popup-cookies-consent {
        left: 0;
        right: 0;
        width: auto;
        border-radius: 0;
    }

    .popup-cookies-consent.visible {
        bottom: 0;
    }
}
